KWIN_REGISTER_DESTROY_FUNC(3)

EXPERIMENTAL_FUNC
kwin_register_destroy_func - Register destroy callback.

SYNOPSIS
#include <karma_kwin.h>

KCallbackFunc kwin_register_destroy_func

(KPixCanvas canvas, void (*func) (), void *info)

DESCRIPTION
This routine will register a destroy function for a pixel canvas. This is called when <-kwin_destroy-> is called. Many destroy functions may be registered per canvas. The first function registered is the first function called upon destruction.

canvas
    The pixel canvas.

func
    The function that is called when the canvas is destroyed. The prototype function is <-kwin_PROTO_destroy_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/